Skip to content

Most visited

Recently visited

navigation

Path.FillType

public static final enum Path.FillType
extends Enum<Path.FillType>

java.lang.Object
   ↳ java.lang.Enum<android.graphics.Path.FillType>
     ↳ android.graphics.Path.FillType


Enum for the ways a path may be filled.

Summary

Enum values

Path.FillType  EVEN_ODD

Specifies that "inside" is computed by an odd number of edge crossings. 

Path.FillType  INVERSE_EVEN_ODD

Same as EVEN_ODD, but draws outside of the path, rather than inside. 

Path.FillType  INVERSE_WINDING

Same as WINDING, but draws outside of the path, rather than inside. 

Path.FillType  WINDING

Specifies that "inside" is computed by a non-zero sum of signed edge crossings. 

Public methods

static Path.FillType valueOf(String name)
static final FillType[] values()

Inherited methods

From class java.lang.Enum
From class java.lang.Object
From interface java.lang.Comparable

Enum values

EVEN_ODD

Added in API level 1
Path.FillType EVEN_ODD

Specifies that "inside" is computed by an odd number of edge crossings.

INVERSE_EVEN_ODD

Added in API level 1
Path.FillType INVERSE_EVEN_ODD

Same as EVEN_ODD, but draws outside of the path, rather than inside.

INVERSE_WINDING

Added in API level 1
Path.FillType INVERSE_WINDING

Same as WINDING, but draws outside of the path, rather than inside.

WINDING

Added in API level 1
Path.FillType WINDING

Specifies that "inside" is computed by a non-zero sum of signed edge crossings.

Public methods

valueOf

Added in API level 1
Path.FillType valueOf (String name)

Parameters
name String
Returns
Path.FillType

values

Added in API level 1
FillType[] values ()

Returns
FillType[]
This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.